CellProfiler Pipeline: http://www.cellprofiler.org
Version:1
SVNRevision:10997

LoadImages:[module_num:1|svn_version:\'10951\'|variable_revision_number:11|show_window:True|notes:\x5Bu\'Load nuclear and tubulin chanels\'\x5D]
    File type to be loaded:individual images
    File selection method:Text-Exact match
    Number of images in each group?:3
    Type the text that the excluded images have in common:Do not use
    Analyze all subfolders within the selected folder?:All
    Input image file location:Default Input Folder\x7C/imaging/analysis/2007_07_02Microtube_Motor_Screens_VladimirGelfand/Elements
    Check image sets for missing or duplicate files?:No
    Group images by metadata?:No
    Exclude certain files?:No
    Specify metadata fields to group by:Plate
    Select subfolders to analyze:
    Image count:2
    Text that these images have in common (case-sensitive):d0.TIF
    Position of this image in each group:d3t0
    Extract metadata from where?:Both
    Regular expression that finds metadata in the file name:(?P<Date>\x5B0-9\x5D{6})f(?P<Field>\x5B0-9\x5D{1,3})(?P<Well>\x5BA-Z\x5D\x5B0-9\x5D\x5B0-9\x5D)d0.TIF
    Type the regular expression that finds metadata in the subfolder path:^.*\x5B\\\\/\x5D(?P<Plate>.*TX\x5BA-Z\x5D)\x5B\\\\/\x5D\x5BA-Z\x5D\x5B0-9\x5D\x5B0-9\x5D$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:2
    Load the input as images or objects?:Images
    Name this loaded image:Nuclear
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes
    Text that these images have in common (case-sensitive):d1.TIF
    Position of this image in each group:2
    Extract metadata from where?:None
    Regular expression that finds metadata in the file name:(?P<Date>\x5B0-9\x5D{6})f(?P<Field>\x5B0-9\x5D{1,3})(?P<Well>\x5BA-Z\x5D\x5B0-9\x5D\x5B0-9\x5D)d1.TIF
    Type the regular expression that finds metadata in the subfolder path:^.*\x5B\\\\/\x5D(?P<Plate>.*TX\x5BA-Z\x5D)\x5B\\\\/\x5D\x5BA-Z\x5D\x5B0-9\x5D\x5B0-9\x5D$
    Channel count:1
    Group the movie frames?:No
    Grouping method:Interleaved
    Number of channels per group:3
    Load the input as images or objects?:Images
    Name this loaded image:Tubulin
    Name this loaded object:Nuclei
    Retain outlines of loaded objects?:No
    Name the outline image:NucleiOutlines
    Channel number:1
    Rescale intensities?:Yes

EnhanceOrSuppressFeatures:[module_num:2|svn_version:\'10591\'|variable_revision_number:2|show_window:False|notes:\x5Bu\'Enhance nuclei\'\x5D]
    Select the input image:Nuclear
    Name the output image:NuclearEnh
    Select the operation:Enhance
    Feature size:40
    Feature type:Speckles
    Range of hole sizes:1,10

Smooth:[module_num:3|svn_version:\'10465\'|variable_revision_number:1|show_window:False|notes:\x5Bu\'Smooth nuclei (helps segmentation)\'\x5D]
    Select the input image:NuclearEnh
    Name the output image:NuclearSmooth
    Select smoothing method:Gaussian Filter
    Calculate artifact diameter automatically?:No
    Typical artifact diameter, in  pixels:30
    Edge intensity difference:0.1

IdentifyPrimaryObjects:[module_num:4|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5Bu\'Segment nuclei\'\x5D]
    Select the input image:NuclearSmooth
    Name the primary objects to be identified:Nuclei
    Typical diameter of objects, in pixel units (Min,Max):20,150
    Discard objects outside the diameter range?:No
    Try to merge too small objects with nearby larger objects?:Yes
    Discard objects touching the border of the image?:No
    Select the thresholding method:RobustBackground Global
    Threshold correction factor:1.2
    Lower and upper bounds on threshold:0,1
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:Intensity
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:30
    Suppress local maxima that are closer than this minimum allowed distance:30
    Speed up by using lower-resolution image to find local maxima?:Yes
    Name the outline image:None
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:No
    Automatically calculate minimum allowed distance between local maxima?:No
    Manual threshold:0.0
    Select binary image:Background Global
    Retain outlines of the identified objects?:No
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:.5
    Two-class or three-class thresholding?:Three classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

MeasureObjectSizeShape:[module_num:5|svn_version:\'1\'|variable_revision_number:1|show_window:False|notes:\x5Bu\'Measure shape, so as to exclude segmenting processes by accident (next step does the filtering)\'\x5D]
    Select objects to measure:Nuclei
    Calculate the Zernike features?:No

FilterObjects:[module_num:6|svn_version:\'10300\'|variable_revision_number:5|show_window:False|notes:\x5Bu\'Filters out long, very thin nuclei (likely processes, and not actual nuclei)\'\x5D]
    Name the output objects:NucleiRound
    Select the object to filter:Nuclei
    Filter using classifier rules or measurements?:Measurements
    Select the filtering method:Limits
    Select the objects that contain the filtered objects:None
    Retain outlines of the identified objects?:No
    Name the outline image:FilteredObjects
    Rules file location:Elsewhere...\x7C/imaging/analysis/2007_07_02Microtube_Motor_Screens_VladimirGelfand/Elements
    Rules file name:rules.txt
    Measurement count:1
    Additional object count:0
    Select the measurement to filter by:AreaShape_Eccentricity
    Filter using a minimum measurement value?:Yes
    Minimum value:0
    Filter using a maximum measurement value?:Yes
    Maximum value:0.95

EnhanceOrSuppressFeatures:[module_num:7|svn_version:\'10591\'|variable_revision_number:2|show_window:False|notes:\x5Bu\'Suppress Tubulin processes - for better soma segmentation\'\x5D]
    Select the input image:Tubulin
    Name the output image:TubulinSuppress
    Select the operation:Suppress
    Feature size:15
    Feature type:Speckles
    Range of hole sizes:1,10

IdentifySecondaryObjects:[module_num:8|svn_version:\'10826\'|variable_revision_number:7|show_window:False|notes:\x5B\x5D]
    Select the input objects:NucleiRound
    Name the objects to be identified:CellBody
    Select the method to identify the secondary objects:Distance - B
    Select the input image:TubulinSuppress
    Select the thresholding method:Otsu Global
    Threshold correction factor:1
    Lower and upper bounds on threshold:0.000000,1.000000
    Approximate fraction of image covered by objects?:0.01
    Number of pixels by which to expand the primary objects:500
    Regularization factor:0.05
    Name the outline image:SecondaryOutlines
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified secondary objects?:No
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Discard secondary objects that touch the edge of the image?:No
    Discard the associated primary objects?:No
    Name the new primary objects:FilteredNuclei
    Retain outlines of the new primary objects?:No
    Name the new primary object outlines:FilteredNucleiOutlines
    Select the measurement to threshold with:None
    Fill holes in identified objects?:Yes

RunImageJ:[module_num:9|svn_version:\'10884\'|variable_revision_number:3|show_window:False|notes:\x5Bu\'enhance processes\'\x5D]
    Command or macro?:Macro
    Command\x3A:None
    Macro\x3A:run("Tubeness ", "sigma=1.5000 use");
    Options\x3A:
    Set the current image?:Yes
    Current image\x3A:Tubulin
    Get the current image?:Yes
    Final image\x3A:TubulinTubeness
    Wait for ImageJ?:No
    Run before each group?:Nothing
    Command\x3A:None
    Macro\x3A:run("Invert");
    Options\x3A:
    Run after each group?:Nothing
    Command\x3A:None
    Macro\x3A:run("Invert");
    Options\x3A:
    Save the selected image?:No
    Image name\x3A:ImageJGroupImage
    Command settings count:0
    Prepare group command settings count:0
    Post-group command settings count:0

IdentifyPrimaryObjects:[module_num:10|svn_version:\'10826\'|variable_revision_number:8|show_window:False|notes:\x5B\x5D]
    Select the input image:TubulinTubeness
    Name the primary objects to be identified:TubulinPrimary
    Typical diameter of objects, in pixel units (Min,Max):5,40
    Discard objects outside the diameter range?:No
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:Yes
    Select the thresholding method:RobustBackground Global
    Threshold correction factor:1.5
    Lower and upper bounds on threshold:0.000000,1.000000
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:None
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:10
    Suppress local maxima that are closer than this minimum allowed distance:7
    Speed up by using lower-resolution image to find local maxima?:Yes
    Name the outline image:PrimaryOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:Yes
    Automatically calculate minimum allowed distance between local maxima?:Yes
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified objects?:Yes
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:0.5
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

ConvertObjectsToImage:[module_num:11|svn_version:\'10807\'|variable_revision_number:1|show_window:False|notes:\x5B\x5D]
    Select the input objects:TubulinPrimary
    Name the output image:TubulinPrimaryImg
    Select the color type:Binary (black & white)
    Select the colormap:Default

Morph:[module_num:12|svn_version:\'10300\'|variable_revision_number:2|show_window:False|notes:\x5B\x5D]
    Select the input image:TubulinPrimaryImg
    Name the output image:TubePrimSkel
    Select the operation to perform:skel
    Number of times to repeat operation:Forever
    Repetition number:2
    Scale:3
    Select the operation to perform:spur
    Number of times to repeat operation:Custom
    Repetition number:6
    Scale:8
    Select the operation to perform:clean
    Number of times to repeat operation:Once
    Repetition number:2
    Scale:3

MeasureNeurons:[module_num:13|svn_version:\'10300\'|variable_revision_number:3|show_window:False|notes:\x5B\x5D]
    Select the seed objects:CellBody
    Select the skeletonized image:TubePrimSkel
    Retain the branchpoint image?:Yes
    Name the branchpoint image:BranchpointImage
    Retain the branchpoint image?:Yes
    Maximum hole size\x3A:4
    Do you want the neuron graph relationship?:No
    Intensity image\x3A:None
    File output directory\x3A:Default Output Folder\x7CNone
    Vertex file name\x3A :vertices.csv
    Edge file name\x3A:edges.csv

ColorToGray:[module_num:14|svn_version:\'10318\'|variable_revision_number:2|show_window:False|notes:\x5B\x5D]
    Select the input image:BranchpointImage
    Conversion method:Combine
    Image type\x3A:RGB
    Name the output image:ProcessGray
    Relative weight of the red channel:1
    Relative weight of the green channel:1
    Relative weight of the blue channel:1
    Convert red to gray?:Yes
    Name the output image:OrigRed
    Convert green to gray?:Yes
    Name the output image:OrigGreen
    Convert blue to gray?:Yes
    Name the output image:OrigBlue
    Channel count:1
    Channel number\x3A:Red\x3A 1
    Relative weight of the channel:1
    Image name\x3A:Channel1

ApplyThreshold:[module_num:15|svn_version:\'6746\'|variable_revision_number:5|show_window:False|notes:\x5B\x5D]
    Select the input image:ProcessGray
    Name the output image:ProcessBinary
    Select the output image type:Binary (black and white)
    Set pixels below or above the threshold to zero?:Below threshold
    Subtract the threshold value from the remaining pixel intensities?:No
    Number of pixels by which to expand the thresholding around those excluded bright pixels:0.0
    Select the thresholding method:Manual
    Manual threshold:0.9
    Lower and upper bounds on threshold:0.000000,1.000000
    Threshold correction factor:1
    Approximate fraction of image covered by objects?:0.01
    Select the input objects:None
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Select the measurement to threshold with:None

MeasureImageIntensity:[module_num:16|svn_version:\'10816\'|variable_revision_number:2|show_window:False|notes:\x5B\x5D]
    Select the image to measure:ProcessBinary
    Measure the intensity only from areas enclosed by objects?:No
    Select the input objects:None

IdentifyPrimaryObjects:[module_num:17|svn_version:\'10826\'|variable_revision_number:8|show_window:True|notes:\x5B\x5D]
    Select the input image:ProcessBinary
    Name the primary objects to be identified:TubulinFinal
    Typical diameter of objects, in pixel units (Min,Max):4,1000000000000000000000
    Discard objects outside the diameter range?:Yes
    Try to merge too small objects with nearby larger objects?:No
    Discard objects touching the border of the image?:No
    Select the thresholding method:Background Global
    Threshold correction factor:1
    Lower and upper bounds on threshold:0.000000,1.000000
    Approximate fraction of image covered by objects?:0.01
    Method to distinguish clumped objects:Intensity
    Method to draw dividing lines between clumped objects:Intensity
    Size of smoothing filter:0
    Suppress local maxima that are closer than this minimum allowed distance:0
    Speed up by using lower-resolution image to find local maxima?:No
    Name the outline image:PrimaryOutlines
    Fill holes in identified objects?:Yes
    Automatically calculate size of smoothing filter?:No
    Automatically calculate minimum allowed distance between local maxima?:No
    Manual threshold:0.0
    Select binary image:None
    Retain outlines of the identified objects?:No
    Automatically calculate the threshold using the Otsu method?:Yes
    Enter Laplacian of Gaussian threshold:0.5
    Two-class or three-class thresholding?:Two classes
    Minimize the weighted variance or the entropy?:Weighted variance
    Assign pixels in the middle intensity class to the foreground or the background?:Foreground
    Automatically calculate the size of objects for the Laplacian of Gaussian filter?:Yes
    Enter LoG filter diameter:5
    Handling of objects if excessive number of objects identified:Continue
    Maximum number of objects:500
    Select the measurement to threshold with:None

MeasureObjectSizeShape:[module_num:18|svn_version:\'1\'|variable_revision_number:1|show_window:True|notes:\x5B\x5D]
    Select objects to measure:TubulinFinal
    Calculate the Zernike features?:No

SaveImages:[module_num:19|svn_version:\'10822\'|variable_revision_number:7|show_window:True|notes:\x5B\x5D]
    Select the type of image to save:Image
    Select the image to save:ProcessGray
    Select the objects to save:None
    Select the module display window to save:None
    Select method for constructing file names:From image filename
    Select image name for file prefix:Tubulin
    Enter single file name:OrigBlue
    Do you want to add a suffix to the image file name?:No
    Text to append to the image name:\\g<Well>
    Select file format to use:png
    Output file location:Default Output Folder sub-folder\x7C\\g<Plate>_TubulinOutlines
    Image bit depth:8
    Overwrite existing files without warning?:Yes
    Select how often to save:Every cycle
    Rescale the images? :No
    Save as grayscale or color image?:Grayscale
    Select colormap:gray
    Store file and path information to the saved image?:Yes
    Create subfolders in the output folder?:No

ExportToDatabase:[module_num:20|svn_version:\'10962\'|variable_revision_number:20|show_window:False|notes:\x5B\x5D]
    Database type:MySQL
    Database name:2007_07_02_Gelfand
    Add a prefix to table names?:Yes
    Table prefix:khc_22811_elements_3
    SQL file prefix:SQL_
    Output file location:Default Output Folder\x7C/imaging/analysis/2007_07_02Microtube_Motor_Screens_VladimirGelfand/Elements_Analysis
    Create a CellProfiler Analyst properties file?:Yes
    Database host:imgdb01
    Username:cpuser
    Password:cPus3r
    Name the SQLite database file:DefaultDB.db
    Calculate the per-image mean values of object measurements?:Yes
    Calculate the per-image median values of object measurements?:Yes
    Calculate the per-image standard deviation values of object measurements?:Yes
    Calculate the per-well mean values of object measurements?:Yes
    Calculate the per-well median values of object measurements?:Yes
    Calculate the per-well standard deviation values of object measurements?:Yes
    Export measurements for all objects to the database?:All
    Select the objects:
    Maximum # of characters in a column name:64
    Create one table per object or a single object table?:One table per object type
    Enter an image url prepend if you plan to access your files via http:http\x3A//imageweb/images/CPALinks
    Write image thumbnails directly to the database?:No
    Select the images you want to save thumbnails of:ProcessGray
    Auto-scale thumbnail pixel intensities?:No
    Select the plate type:96
    Select the plate metadata:Plate
    Select the well metadata:Well
    Include information for all images, using default values?:Yes
    Hidden:1
    Hidden:1
    Hidden:0
    Select an image to include:None
    Use the image name for the display?:Yes
    Image name:None
    Channel color:gray
    Do you want to add group fields?:No
    Enter the name of the group:
    Enter the per-image columns which define the group, separated by commas:ImageNumber, Image_Metadata_Plate, Image_Metadata_Well
    Do you want to add filter fields?:No
    Automatically create a filter for each plate?:No

CreateBatchFiles:[module_num:21|svn_version:\'10375\'|variable_revision_number:4|show_window:False|notes:\x5B\x5D]
    Store batch files in default output folder?:Yes
    Output folder path:/imaging/analysis/2007_07_02Microtube_Motor_Screens_VladimirGelfand/Elements_Analysis
    Are the cluster computers running Windows?:No
    Hidden\x3A in batch mode:No
    Hidden\x3A default input folder at time of save:/imaging/analysis/2007_07_02Microtube_Motor_Screens_VladimirGelfand/Elements
    Hidden\x3A SVN revision number:10572
    Local root path:Y\x3A
    Cluster root path:/imaging/analysis
